USN-3940-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-3940-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-3940-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-3940-1
Related
Published
2019-04-08T12:57:38.648700Z
Modified
2019-04-08T12:57:38.648700Z
Summary
clamav vulnerabilities
Details

It was discovered that ClamAV incorrectly handled scanning certain PDF documents. A remote attacker could possibly use this issue to cause ClamAV to crash, resulting in a denial of service. (CVE-2019-1787)

It was discovered that ClamAV incorrectly handled scanning certain OLE2 files. A remote attacker could use this issue to cause ClamAV to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2019-1788)

It was discovered that ClamAV incorrectly handled scanning certain PE files. A remote attacker could possibly use this issue to cause ClamAV to crash, resulting in a denial of service. (CVE-2019-1789)

References

Affected packages

Ubuntu:14.04:LTS / clamav

Package

Name
clamav

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.100.3+dfsg-0ubuntu0.14.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "clamav-docs": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "clamav": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "clamav-testfiles": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "clamav-base": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "clamav-freshclam": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "clamav-milter": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "libclamav7": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "clamav-daemon": "0.100.3+dfsg-0ubuntu0.14.04.1",
            "libclamav-dev": "0.100.3+dfsg-0ubuntu0.14.04.1"
        }
    ]
}

Ubuntu:18.04:LTS / clamav

Package

Name
clamav

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.100.3+dfsg-0ubuntu0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "clamav-docs": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamav": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamav-testfiles": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamav-base": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamav-freshclam": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamav-milter": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "libclamav7": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamav-daemon": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "libclamav-dev": "0.100.3+dfsg-0ubuntu0.18.04.1",
            "clamdscan": "0.100.3+dfsg-0ubuntu0.18.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / clamav

Package

Name
clamav

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
0.100.3+dfsg-0ubuntu0.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "clamav-docs": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamav": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamav-testfiles": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamav-base": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamav-freshclam": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamav-milter": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "libclamav7": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamav-daemon": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "libclamav-dev": "0.100.3+dfsg-0ubuntu0.16.04.1",
            "clamdscan": "0.100.3+dfsg-0ubuntu0.16.04.1"
        }
    ]
}